<?php
require("../global_manage.php");
if($_POST)
{
	//获取传递来的note_id及查询条件
	$note_id = $_POST['note_id'];
	$note_id_str = "";
	$sql = "delete from tb_note";
	if(count($note_id)>1){	//当选择多个留言时
	 while(list($name,$value)=each($note_id)){			//遍历数组
	  $a.="$value".",";
	 }
		$a= substr($a,0,-1);
		//使用in关键字删除所有被选择留言
	 $sql .= " where note_id in(".$a.")";
	}
	//只删除一条留言
	else
	$sql .= " where note_id = ".$note_id[0];
	$DB->query($sql);
	?>
	<script language="javascript">alert("留言信息删除成功！");</script>
	<?php
		//将原来的查询条件返回
		$url = "./manage_note.php";
		redirect_once($url);
}
?>
<meta http-equiv="Content-Type" content="text/html;charset=gb2312">
